org.apache.ignite.internal.jdbc2

## Class JdbcStatementResultInfo

- java.lang.Object
- - org.apache.ignite.internal.jdbc2.JdbcStatementResultInfo

    public class JdbcStatementResultInfo
    extends Object

JDBC statement result information. Keeps statement type (SELECT or UPDATE) and queryId or update count (depends on statement type).

### Constructor Summary

Constructors
Constructor and Description
`JdbcStatementResultInfo(boolean isQuery, UUID qryId, long updCnt)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isQuery()`
`UUID` `queryId()`
`String` `toString()`
`long` `updateCount()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdbcStatementResultInfo

    public JdbcStatementResultInfo(boolean isQuery,
                                   UUID qryId,
                                   long updCnt)

Parameters:
  `isQuery` - Query flag.
  `qryId` - Query ID.
  `updCnt` - Update count.

### Method Detail

#### isQuery

    public boolean isQuery()

Returns:
  Query flag.

#### queryId

    public UUID queryId()

Returns:
  Query ID.

#### updateCount

    public long updateCount()

Returns:
  Update count.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018